<!DOCTYPE html>
<html>
  <head>
    <meta http-equiv="content-type" content="text/html; charset=utf-8">
    <title>FPM: Ciències / Sciences</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta content="text/css" http-equiv="Content-Style-Type">
    <link href="css/fpm.css" rel="stylesheet" type="text/css">
    <link href="index.html" rel="Start" title="FPM Home">
    <link rel="Icon" href="im/fpm.png" type="image/png">
    <meta name="qrichtext" content="1">
    <style type="text/css">

    </style>
    <script type="text/javascript" src="js/x-tag-components.js"></script>
    <script type="text/javascript" src="js/tex.js"></script>
  </head>
  <body>
    <table style="width: 100%;">
      <tbody>
        <tr>
          <td colspan="2" class="titol">
            <h1 style="text-align: center;">Ciències / Science</h1>
          </td>
        </tr>
        <tr>
          <td class="index-cap">
            <h3>Index</h3>
          </td>
        </tr>
        <tr>
          <td class="index-fons" style="height: 265.5px;">
            <table cellspacing="2" cellpadding="2" border="1">
              <tbody>
                <tr>
                  <td colspan="2" rowspan="1">
                    <ul>
                      <li><a class="intern" href="#general">General</a></li>
                    </ul>
                  </td>
                </tr>
                <tr>
                  <td>
                    <ul>
                      <li><a class="intern" href="ciencies.html#publicacions">Publicacions
/
                          Publications</a></li>
                      <li><a class="intern" href="ciencies.html#llistes">Llistes
                          i notícies</a></li>
                      <li><a class="intern" href="#genealogia">Genealogia</a></li>
                      <li><a class="intern" href="#biologia">Biologia</a></li>
                      <li><a class="intern" href="#color">Color / Colour</a></li>
                      <li><a class="intern" href="#caos">Caos / Chaos</a></li>
                      <li><a class="intern" href="#tv">TV</a></li>
                      <li><a class="intern" href="#meteo">Meteo</a></li>
                    </ul>
                  </td>
                  <td style="vertical-align: top;">
                    <ul>
                      <li><a class="intern" href="matematiques.html">Matemàtiques</a>
                        <ul>
                        </ul>
                      </li>
                      <li><a class="intern" href="#criptografia">Criptografia /
                          Cryptography</a>
                        <ul>
                        </ul>
                      </li>
                      <li><a class="intern" href="#fisica">Física / Physics</a></li>
                      <li><a href="quimica.html" class="intern">Química /
                          Chemistry</a></li>
                      <li><a class="intern" href="#programari">Programari /
                          Software</a></li>
                      <li><a href="#calculadores" class="intern">Calculadores /
                          Calculators</a></li>
                      <li><a href="#historia" class="intern">Història / History</a></li>
                    </ul>
                  </td>
                </tr>
              </tbody>
            </table>
          </td>
        </tr>
        <tr>
          <td class="general-cap">
            <h3><a name="general"></a>General</h3>
          </td>
        </tr>
        <tr>
          <td class="general-fons">
            <table style="width: 100%;">
              <tbody>
                <tr>
                  <td style="width: 50%; vertical-align: top;">
                    <ul>
                      <li><a href="espai.html" class="intern">Ciències de
                          l'espai / Space sciences</a></li>
                      <li><a href="ia.html" class="intern">Intel·ligència
                          artificial / Artficial intelligence</a></li>
                      <li><a href="medicina.html" class="intern">Medicina i
                          salut/ Medicine &amp; health</a></li>
                      <li> <a href="simulacio.html" class="intern">Simulació /
                          Simulation</a>
                        <ul>
                          <li><a href="prog_sim.html" class="intern">Programari
                              / Software</a></li>
                        </ul>
                      </li>
                    </ul>
                  </td>
                  <td style="width: 50%; vertical-align: top;">
                    <ul>
                      <li><a href="http://www.wolframscience.com/">Stephen
                          Wolfram: a new kind of science</a></li>
                      <li><a href="http://www.bipm.fr/enus/3_SI/si.html">The
                          International System of Units (SI)</a></li>
                      <li><a href="http://en.wikipedia.org/wiki/Scientific_methodology">Scientific
                          method</a></li>
                      <li><a href="http://emotionalcompetency.com/sci/booktoc.html">Scientific
                          methods</a> (online book)</li>
                      <li><a href="http://www.ted.com/talks">TED Talks</a> </li>
                    </ul>
                  </td>
                </tr>
              </tbody>
            </table>
          </td>
        </tr>
        <tr>
          <td class="seccio-cap">
            <h3><a name="publicacions"></a>Publicacions / Publications</h3>
          </td>
        </tr>
        <tr>
          <td class="seccio-fons">
            <ul>
              <li>"<a href="http://www.daniel-lemire.com/blog/rules-to-write-a-good-research-paper/">Write
good
                  papers</a>"&nbsp;Daniel Lemire</li>
              <li>"<a href="http://www.findaphd.com/students/life2.asp">Hints
                  for New PhD students on How to Write Papers</a>" - by Prof
                Shahn Majid</li>
              <li>"<a href="ise.illinois.edu/ge494/technl-writing-fun.pdf">Technical
                  Writing for Fun &amp; Profit</a>" David E. Goldberg </li>
              <li>"<a href="http://ieeexplore.ieee.org/stamp/stamp.jsp?arnumber=00823822">Giving
good
                  technical presentations</a>" Kim Fowler</li>
              <li><a href="http://www.accesowok.fecyt.es/">Portal de acceso a la
                  Web of Knowledge</a> (FECYT) </li>
              <li>Articles / Papers
                <ul>
                  <li><a class="intern" href="tvd.html#articles">TV</a></li>
                  <li><a href="http://www.acm.org/sigs/publications/proceedings-templates">ACM
SIG
                      Proceedings Templates</a>
                    <ul>
                      <li><a href="http://www.acm.org/about/class/1998/">The
                          1998 ACM Computing Classification System</a>
                        (categories) </li>
                    </ul>
                  </li>
                  <li><a href="http://www.ieee.org/web/publications/authors/transjnl/index.html">IEEE
-
                      Author Digital Tool Box</a>
                    <ul>
                      <li><a href="http://www.ieee-bmsb2009.org/downloads/IEEEtran.tar.gz"
                          mce_href="downloads/IEEEtran.tar.gz">IEEEtran.tar.gz</a>
                        (LaTeX)</li>
                      <li><a href="http://www.ieee-bmsb2009.org/downloads/TRANS-JOUR.doc"
                          mce_href="downloads/TRANS-JOUR.doc">TRANS-JOUR.doc</a>
                        (MS Word)</li>
                      <li><a href="http://standards.ieee.org/guides/style/">2009
                          IEEE Standards Style Manual</a></li>
                      <li><a href="http://www.ieee.org/portal/cms_docs/pubs/transactions/auinfo03.pdf">Information
for
                          authors</a> </li>
                      <li><a href="http://www.ieee.org/portal/cms_docs_iportals/iportals/publications/authors/transjnl/stylemanual.pdf">IEEE
Editorial
                          Style Manual</a> (pdf):
                        <table style="text-align: left;" cellspacing="2" cellpadding="2"
                          border="1">
                          <tbody>
                            <tr>
                              <td><br>
                              </td>
                              <td>abstract</td>
                              <td>title typeface</td>
                              <td>typeface</td>
                              <td>biography</td>
                            </tr>
                            <tr>
                              <td>full paper</td>
                              <td>x</td>
                              <td><br>
                              </td>
                              <td><br>
                              </td>
                              <td>x</td>
                            </tr>
                            <tr>
                              <td>brief paper</td>
                              <td>x</td>
                              <td>16</td>
                              <td><br>
                              </td>
                              <td>-</td>
                            </tr>
                            <tr>
                              <td>
                                <ul>
                                  <li>short paper</li>
                                  <li>correspondence</li>
                                  <li>communication</li>
                                </ul>
                              </td>
                              <td>x</td>
                              <td><br>
                              </td>
                              <td>9</td>
                              <td>-</td>
                            </tr>
                          </tbody>
                        </table>
                      </li>
                    </ul>
                  </li>
                  <li><a href="http://www.springer.com/computer/lncs?SGWID=0-164-6-793341-0">Information
for
                      LNCS authors</a> </li>
                </ul>
              </li>
              <li>Conferències / Conferences (wp: <a href="http://en.wikipedia.org/wiki/Call_for_papers">CFP</a>)
                <ul>
                  <li><a href="http://eventseer.net/">Eventseer</a> </li>
                  <li><a href="http://www.ourglocal.com/">Ourglocal</a> / <a href="http://scienceindex.researchbib.com/">ResearchBib</a>
                  </li>
                  <li><a href="http://www.wikicfp.com/">WikiCF</a> </li>
                  <li><a class="intern" href="tvd.html#conferencies">TV</a></li>
                </ul>
              </li>
              <li>Cerca / Search
                <ul>
                  <li><a href="http://scholar.google.com/">Google Academic</a></li>
                  <li><a href="https://grec.url.es/">GREC-URL</a>
                    <ul>
                      <li><a href="https://grec.url.es/cgi-bin/DADREC/crgen.cgi">Consulta
                          general</a></li>
                    </ul>
                  </li>
                  <li><a href="http://ieeexplore.ieee.org/">IEEE Xplore</a></li>
                  <li><a href="http://www.sciencedirect.com/">Science Direct</a></li>
                  <li><a href="http://www.scirus.com/">Scirus</a></li>
                  <li>(kbibtex)</li>
                </ul>
              </li>
              <li>Programari / Software
                <ul>
                  <li><a href="http://lasecwww.epfl.ch/pub/lasec/doc/LPG07.pdf"
                      class="external text" rel="nofollow">On the Security of a
                      Popular Web Submission and Review Software (WSaR) for
                      Cryptology Conferences</a><span class="external text"> (C:
                      Related work)</span></li>
                  <li><a href="http://www.corbinball.com/articles_future/index.cfm?fuseaction=cor_av&amp;artID=4154">The
“Killer
                      Apps” of the Meetings Industry</a></li>
                  <li>Web submission and review software (WSaR) (<a href="http://en.wikipedia.org/wiki/Event_management_software">wp</a>)
                    <ul>
                      <li><a href="http://www.easychair.org/">Easy Chair</a> (<a
                          href="http://en.wikipedia.org/wiki/EasyChair">wp</a>)
                      </li>
                      <li>Manuscript Central</li>
                      <li><a href="http://cmt.research.microsoft.com/cmt/">Microsoft
                          Research Conference Management Tool (MSRCMT)</a></li>
                      <li>START V2 ConferenceManager </li>
                    </ul>
                  </li>
                </ul>
              </li>
            </ul>
            <ul>
              <li>Resources
                <ul>
                  <li><a class="intern" href="lyx.html">LaTeX</a></li>
                </ul>
              </li>
              <li><a name="bibliografia"></a>Bibliografia / Bibliography
                <ul>
                  <li><a href="latex.html#bibtex">BibTeX</a> </li>
                  <li><a class="intern" href="programari.html#open_office">OpenOffice</a>
                    <ul>
                      <li><a href="http://wiki.services.openoffice.org/wiki/Bibliographic_Software_and_Standards_Information">Bibliographic/Software
and
                          Standards Information</a></li>
                    </ul>
                  </li>
                  <li><a class="intern" href="programari.html#msoffice_bibliografia">MSOffice</a>
                  </li>
                  <li><a href="http://en.wikipedia.org/wiki/Comparison_of_reference_management_software">Comparison
of
                      reference management software</a> (wp) </li>
                  <li><a href="http://en.wikipedia.org/wiki/Wikipedia:Citing_sources">Citing
                      sources</a> / <a href="http://en.wikipedia.org/wiki/Wikipedia:Citing_sources#Programming_tools">Programming
                      tools</a> (wp) </li>
                  <li><a href="http://www.zotero.org/">Zotero</a>
                    <ul>
                      <li><a class="intern" href="utilitats.html#zotero">Utilitats
                          / Utilities</a> </li>
                    </ul>
                  </li>
                  <li><a href="http://jabref.sourceforge.net/">JabRef reference
                      manager</a> (LyX, Kile, OpenOffice...)
                    <ul>
                      <li><a href="http://jabref.sourceforge.net/resources.php#OOintegration">Plugins</a>
                      </li>
                      <li><a href="http://jabref.sourceforge.net/OOPlugin-jabref.php">OpenOffice
plugin
                          for JabRef</a> </li>
                    </ul>
                  </li>
                  <li><a href="https://www.refworks.com/Refworks/login.asp?WNCLang=false">RefWorks</a></li>
                  <li><a href="http://wikindx.sourceforge.net/">Wikindx</a></li>
                  <li><a href="http://www.aigaion.nl/">Aigaion</a></li>
                  <li><a href="http://www.refbase.net/index.php/Web_Reference_Database">refbase</a>
                  </li>
                </ul>
              </li>
            </ul>
          </td>
        </tr>
        <tr>
          <td class="seccio-cap">
            <h3><a name="llistes"></a>Llistes i notícies</h3>
          </td>
        </tr>
        <tr>
          <td class="seccio-fons">
            <ul>
              <li><a href="http://recerca.url.edu/">Butlletí de recerca i
                  innovació URL</a></li>
            </ul>
          </td>
        </tr>
        <tr>
          <td class="seccio-cap">
            <h3><a name="genealogia"></a><a href="http://ftp.cac.psu.edu/%7Esaw/genealogy.html">Genealogia</a></h3>
          </td>
        </tr>
        <tr>
          <td class="seccio-fons">
            <ul>
              <li>Bases de dades / Databases
                <ul>
                  <li><a href="http://www.ciudadfutura.com/nombres/">Tu nombre:
                      origen y significado</a></li>
                  <li><a href="http://www.rootsweb.com/">RootsWeb</a></li>
                </ul>
              </li>
              <li>Programari / Software
                <ul>
                  <li><a href="http://www.genhomepage.com/software.html">Genealogy
                      Software</a></li>
                  <li><a href="http://en.wikipedia.org/wiki/Genealogy_software">Genealogy
                      Software</a> (wp) </li>
                  <li><a href="http://lifelines.sourceforge.net/">Life Lines</a>
                    <ul>
                      <li><a href="http://www.ee.duke.edu/%7Ewrankin/llines/">X-LifeLines</a></li>
                    </ul>
                  </li>
                  <li><a href="http://www.vjet.demon.co.uk/ftree/">Ftree</a></li>
                  <li><a href="http://gramps-project.org/">GRAMPS</a> (Gnome) </li>
                </ul>
              </li>
            </ul>
          </td>
        </tr>
        <tr>
          <td class="seccio-cap">
            <h3><a name="biologia"></a><a href="http://expasy.hcuge.ch/">Biologia</a></h3>
          </td>
        </tr>
        <tr>
          <td class="seccio-cap">
            <h3><a name="color">Color / Colour</a></h3>
          </td>
        </tr>
        <tr>
          <td class="seccio-fons">
            <ul>
              <li><a class="intern" href="audio_video.html#colorimetria">Audio/Video</a>
              </li>
              <li><a href="foto.html#color" class="intern">Fotografia /
                  Photography</a></li>
              <li><a href="medicina.html#color" class="intern">Medicina /
                  Medicine</a></li>
              <li><a href="visio.html#color" class="intern">Visió per computador
                  / Computer vision</a></li>
              <li><a class="intern" href="www.html#color">WWW</a> </li>
              <li><a href="http://www.efg2.com/Lab/Library/Color/index.html">efg's
                  Color Reference Library</a></li>
            </ul>
          </td>
        </tr>
        <tr>
          <td class="seccio-cap">
            <h3><a name="caos"></a>Caos / Chaos</h3>
          </td>
        </tr>
        <tr>
          <td class="seccio-fons">
            <ul>
              <li><a href="http://hypertextbook.com/chaos/">The Chaos
                  Hypertextbook</a></li>
              <li>Chaos theory (<a href="http://en.wikipedia.org/wiki/Chaos_theory">wp</a>,
                <a href="http://demonstrations.wolfram.com/topic.html?topic=Chaos+Theory&amp;limit=20">wolfram</a>)</li>
              <li>Logistic map (<a href="http://en.wikipedia.org/wiki/Logistic_map">wp</a>,
                <a href="http://demonstrations.wolfram.com/search.html?query=logistic+map&amp;submit.x=0&amp;submit.y=0">wolfram</a>)</li>
            </ul>
          </td>
        </tr>
        <tr>
          <td class="seccio-cap">
            <h3><a name="tv"></a><a href="tv.html" class="intern">TV</a></h3>
          </td>
        </tr>
        <tr>
          <td class="seccio-fons">
            <ul>
              <li><a href="http://www.puntomega.net/">Punt Omega</a> (C33)</li>
              <li>QuèQuiCom (33) </li>
            </ul>
          </td>
        </tr>
        <tr>
          <td class="seccio-cap">
            <h3><a name="meteo"></a>Meteo</h3>
          </td>
        </tr>
        <tr>
          <td class="seccio-fons">
            <ul>
              <li><a href="http://www.climateprediction.net/">climateprediction.net</a></li>
              <li><a href="http://saturn.unibe.ch/rsbern/noaa/index.html">NOAA
                  AVHRR</a> (University of Bern)</li>
              <li>Estacions meteorològiques / Weather stations</li>
              <ul>
                <li>Info</li>
                <ul>
                  <li><a href="https://forum.meteoclimatic.net/index.php?topic=2194.0">¿Las
                      Davis pueden exportar datos en GNU/Linux?</a></li>
                </ul>
                <li>Marques</li>
                <ul>
                  <li>Oregon Scientific</li>
                  <li><a href="https://www.davisnet.com/">Davis Instruments</a></li>
                  <li>PCE Instruments</li>
                  <ul>
                    <li><a href="https://www.pce-iberica.es/colaboracion-universidad.htm">Colaboración
                        con universidad</a></li>
                  </ul>
                </ul>
                <li>Programari / Software</li>
                <ul>
                  <li><a href="http://www.weewx.com/">WeeWX</a> (Python)<a href="http://www.weewx.com/"><br>
                    </a></li>
                  <ul>
                    <li><a href="http://wiki.meteoclimatic.net/wiki/WeeWX">WeeWX</a>
                      (<a href="https://www.meteoclimatic.net/">Meteoclimatic</a>)</li>
                    <ul>
                      <li><a href="https://forum.meteoclimatic.net/index.php/topic,2622.0.html">Utilidad
                          de envío de la plantilla en Python</a></li>
                      <ul>
                        <li><span style="color: #0000ee;"></span>jantoni / <a href="https://github.com/jantoni/meteowee/tree/master">meteowee
                            </a></li>
                      </ul>
                    </ul>
                  </ul>
                </ul>
              </ul>
            </ul>
          </td>
        </tr>
        <tr>
          <td class="seccio-cap">
            <h3><a name="matematiques" href="matematiques.html"></a><a href="matematiques.html"
                class="intern">Matemàtiques / Mathematics</a></h3>
          </td>
        </tr>
        <tr>
          <td class="seccio-fons"> <br>
          </td>
        </tr>
        <tr>
          <td class="seccio-cap" style="vertical-align: top;">
            <h3><a name="criptografia"></a>Criptografia / Cryptography</h3>
          </td>
        </tr>
        <tr>
          <td class="seccio-fons" style="vertical-align: top;">
            <ul>
              <li>Criptologia / Cryptology
                <ul>
                  <li>Criptografia / Cryptography</li>
                  <li>Criptoanàlisi / Cryptoanalysis </li>
                </ul>
              </li>
              <li>Publicacions / Publications</li>
              <ul>
                <li>Simon Singh</li>
                <ul>
                  <li>"The code book"</li>
                  <li><a href="https://simonsingh.net/cryptography/crypto-links/">Crypto
                      links</a></li>
                </ul>
              </ul>
              <li><a href="http://en.wikipedia.org/wiki/Portal:Cryptography">Portal:
                  Cryptography</a> (wp)
                <ul>
                  <li><a href="http://en.wikipedia.org/wiki/Cryptography">Cryptography</a></li>
                </ul>
              </li>
              <li><a href="http://en.wikipedia.org/wiki/Information_security">Information
                  security</a> (wp) <br>
                <table cellspacing="2" cellpadding="2" border="1">
                  <tbody>
                    <tr class="taula-cap">
                      <th style="vertical-align: top;"><br>
                      </th>
                      <th colspan="2" rowspan="1" style="vertical-align: top;"><a
                          href="#xifratge" class="intern">xifratge / encryption</a><br>
                      </th>
                      <th style="vertical-align: top;"><a href="#hash" class="intern">hash</a><br>
                      </th>
                      <th colspan="2" rowspan="1" style="vertical-align: top;"><a
                          href="#signatura" class="intern">signatura / signature</a>
                        (=hash+xifratge)<br>
                      </th>
                      <th style="vertical-align: top;">pki<br>
                      </th>
                    </tr>
                    <tr class="taula-cap">
                      <th style="vertical-align: top;">principis bàsics<br>
                      </th>
                      <th style="vertical-align: top;">clau simètrica<br>
                      </th>
                      <th style="vertical-align: top;">clau asimètrica<br>
                      </th>
                      <th style="vertical-align: top;"><br>
                      </th>
                      <th style="vertical-align: top;">clau simètrica: MAC/HMAC<br>
                      </th>
                      <th style="vertical-align: top;">clau asimètrica</th>
                      <th style="vertical-align: top;"><br>
                      </th>
                    </tr>
                    <tr>
                      <td style="vertical-align: top;">confidencialitat /
                        confidentiality<br>
                      </td>
                      <td style="vertical-align: top;">x<br>
                      </td>
                      <td style="vertical-align: top;">x<br>
                      </td>
                      <td style="vertical-align: top;"><br>
                      </td>
                      <td style="vertical-align: top;"><br>
                      </td>
                      <td style="vertical-align: top;"><br>
                      </td>
                      <td style="vertical-align: top;"><br>
                      </td>
                    </tr>
                    <tr>
                      <td style="vertical-align: top;">integritat / integrity<br>
                      </td>
                      <td style="vertical-align: top;"><br>
                      </td>
                      <td style="vertical-align: top;"><br>
                      </td>
                      <td style="vertical-align: top;">x<br>
                      </td>
                      <td style="vertical-align: top;">x<br>
                      </td>
                      <td style="vertical-align: top;">x<br>
                      </td>
                      <td style="vertical-align: top;"><br>
                      </td>
                    </tr>
                    <tr>
                      <td style="vertical-align: top;">disponibilitat /
                        availability<br>
                      </td>
                      <td style="vertical-align: top;"><br>
                      </td>
                      <td style="vertical-align: top;"><br>
                      </td>
                      <td style="vertical-align: top;"><br>
                      </td>
                      <td style="vertical-align: top;"><br>
                      </td>
                      <td style="vertical-align: top;"><br>
                      </td>
                      <td style="vertical-align: top;"><br>
                      </td>
                    </tr>
                    <tr>
                      <td style="vertical-align: top;">autenticitat /
                        authenticity<br>
                      </td>
                      <td style="vertical-align: top;"><br>
                      </td>
                      <td style="vertical-align: top;"><br>
                      </td>
                      <td style="vertical-align: top;"><br>
                      </td>
                      <td style="vertical-align: top;">x<br>
                      </td>
                      <td style="vertical-align: top;">x<br>
                      </td>
                      <td style="vertical-align: top;"><br>
                      </td>
                    </tr>
                    <tr>
                      <td style="vertical-align: top;">no-repudi /
                        non-repudiation (<a href="http://en.wikipedia.org/wiki/Non-repudiation">wp</a>)<br>
                      </td>
                      <td style="vertical-align: top;"><br>
                      </td>
                      <td style="vertical-align: top;"><br>
                      </td>
                      <td style="vertical-align: top;"><br>
                      </td>
                      <td style="vertical-align: top;"><br>
                      </td>
                      <td style="vertical-align: top;">x<br>
                      </td>
                      <td style="vertical-align: top;"><br>
                      </td>
                    </tr>
                  </tbody>
                </table>
                <ul>
                  <li>confidencialitat</li>
                  <li>integritat</li>
                  <li>disponibilitat</li>
                  <li>autenticitat</li>
                  <li>no-repudi </li>
                </ul>
              </li>
              <li><a name="xifratge"></a><span style="font-weight: bold;">Xifratge
                  / Cipher, encryption</span>
                <ul>
                  <li>
                    <table cellspacing="2" cellpadding="2" border="1">
                      <tbody>
                        <tr class="taula-cap">
                          <th style="vertical-align: top;">type<br>
                          </th>
                          <th style="vertical-align: top;">info<br>
                          </th>
                          <th style="vertical-align: top;">examples<br>
                          </th>
                          <th>implementation</th>
                        </tr>
                        <tr>
                          <td style="vertical-align: top;"><a id="clau_simetrica">Clau
                              simètrica / Symmetric key</a></td>
                          <td style="vertical-align: top;">
                            <ul>
                              <li>same key for encryption and decryption </li>
                            </ul>
                          </td>
                          <td style="vertical-align: top;">
                            <ul>
                              <li>DES, Triple-DES (<a href="http://en.wikipedia.org/wiki/Triple_DES">wp</a>)
                              </li>
                              <li>AES (<a href="http://en.wikipedia.org/wiki/Advanced_Encryption_Standard">wp</a>)</li>
                            </ul>
                          </td>
                          <td>
                            <ul>
                              <li><code>openssl <a href="tls.html#openssl_enc"
                                    class="intern">enc</a> ...</code></li>
                            </ul>
                          </td>
                        </tr>
                        <tr>
                          <td style="vertical-align: top;"><a id="clau_asimetrica">Clau
                              asimètrica / Asymmetric key</a></td>
                          <td style="vertical-align: top;">
                            <ul>
                              <li>one key for encryption</li>
                              <li>another one for decryption </li>
                            </ul>
                          </td>
                          <td style="vertical-align: top;">
                            <ul>
                              <li><a href="http://en.wikipedia.org/wiki/Public-key_cryptography">Public-key
                                  cryptography</a></li>
                              <li><a id="dh">Diffie-Hellman</a> key exchange (<a
                                  href="http://en.wikipedia.org/wiki/Diffie-Hellman_key_exchange">wp</a>)
                                (teoria/theory)
                                <ul>
                                  <li><a href="https://www.youtube.com/watch?v=YEBfamv-_do#t=02m37s">Public
                                      key cryptography - Diffie-Hellman Key
                                      Exchange (full version)</a> (yt)</li>
                                </ul>
                              </li>
                              <li>RSA (Rivest, Shamir, Adleman) (<a href="http://en.wikipedia.org/wiki/RSA_%28algorithm%29">wp</a>)
                                <ul>
                                  <li><a href="utilitats.html#openssh" class="intern">ssh-rsa</a>
                                    (public key signature is based on <a href="#sha1"
                                      class="intern">SHA-1</a>)
                                    <ul>
                                      <li><a href="utilitats.html#openssh_no_mutual_signature"
                                          class="intern">deprecated in OpenSSH
                                          8.2</a><a href="https://www.openssh.com/txt/release-8.2"></a></li>
                                    </ul>
                                  </li>
                                  <li>RFC8332 RSA SHA-2</li>
                                </ul>
                              </li>
                              <li>Elliptic curves</li>
                              <ul>
                                <li>RFC5656 ECDSA (<a href="https://en.wikipedia.org/wiki/Elliptic_Curve_Digital_Signature_Algorithm">wp</a>)</li>
                              </ul>
                              <li>ssh-ed25519</li>
                            </ul>
                          </td>
                          <td>
                            <ul>
                              <li><code>openssl <a href="tls.html#openssl_pkeyutl"
                                    class="intern">pkeyutl</a> ...</code></li>
                            </ul>
                          </td>
                        </tr>
                        <tr>
                          <td style="vertical-align: top;">Bloc / Block (<a href="http://en.wikipedia.org/wiki/Block_cipher">wp</a>)</td>
                          <td style="vertical-align: top;">
                            <ul>
                              <li>Modes (<a href="http://en.wikipedia.org/wiki/Block_cipher_modes_of_operation">wp</a>)
                                <ul>
                                  <li><a href="http://en.wikipedia.org/wiki/Block_cipher_modes_of_operation#Cipher-block_chaining_.28CBC.29"><span
                                        class="toctext">CBC - Cipher-block
                                        chaining </span></a></li>
                                  <li><a href="http://en.wikipedia.org/wiki/Block_cipher_modes_of_operation#Propagating_cipher-block_chaining_.28PCBC.29"><span
                                        class="toctext">PCBC</span></a></li>
                                  <li>stream
                                    <ul>
                                      <li><a href="http://en.wikipedia.org/wiki/Block_cipher_modes_of_operation#Cipher_feedback_.28CFB.29"><span
                                            class="toctext">CFB</span></a></li>
                                      <li><a href="http://en.wikipedia.org/wiki/Block_cipher_modes_of_operation#Output_feedback_.28OFB.29"><span
                                            class="toctext">OFB</span></a></li>
                                      <li><a href="http://en.wikipedia.org/wiki/Block_cipher_modes_of_operation#Counter_.28CTR.29"><span
                                            class="toctext">CTR - Counter</span></a></li>
                                    </ul>
                                  </li>
                                </ul>
                              </li>
                            </ul>
                          </td>
                          <td style="vertical-align: top;">
                            <ul>
                              <li>DES</li>
                              <li>IDEA</li>
                              <li>RC5</li>
                              <li>AES</li>
                              <li>Blowfish</li>
                            </ul>
                          </td>
                          <td><br>
                          </td>
                        </tr>
                        <tr>
                          <td style="vertical-align: top;">Flux / Stream (<a href="http://en.wikipedia.org/wiki/Stream_cipher">wp</a>)</td>
                          <td style="vertical-align: top;"><br>
                          </td>
                          <td style="vertical-align: top;">
                            <ul>
                              <li>A5</li>
                              <li>RC4</li>
                              <li>...</li>
                            </ul>
                          </td>
                          <td><br>
                          </td>
                        </tr>
                      </tbody>
                    </table>
                  </li>
                  <li>Intercanvi de <a href="#clau_asimetrica" class="intern">claus
                      asimètriques</a></li>
                  Es vol que els dos extrems arribin al mateix valor (simetria)
                  del secret compartit (S) per a fer el xifratge amb aquesta <a
                    href="#clau_simetrica" class="intern">clau simètrica</a>,
                  però que algú al mig (Eve), encara que tingui tota la
                  informació pública, no pugui calcular les claus privades
                  (dificultat: funció d'un sol sentit).
                  <ul>
                    <li>
                      <table border="1">
                        <tbody>
                          <tr class="taula-cap">
                            <th><br>
                            </th>
                            <th>Alice</th>
                            <th>Eve</th>
                            <th>Bob</th>
                          </tr>
                          <tr>
                            <td>(no funciona perquè <br>
                              no hi ha dificultat)<br>
                            </td>
                            <td>
                              <ol>
                                <li>tria una <strong>clau privada</strong>: <x-tex
                                    display="block">n</x-tex> </li>
                                <li>genera i envia la seva <strong>clau pública</strong>:
                                  <x-tex display="block">G^n = H_n</x-tex> </li>
                                <li>rep la clau pública de l'altre: <x-tex display="block">H_c</x-tex>
                                </li>
                                <li>genera el <strong>secret compartit</strong>:
                                  <x-tex display="block">H_c^n = (G^c)^n =
                                    G^{cn} = S</x-tex> </li>
                              </ol>
                            </td>
                            <td> Valors coneguts:
                              <ul>
                                <li><x-tex>G</x-tex></li>
                              </ul>
                              Valors públics:
                              <ul>
                                <li><x-tex>H_n</x-tex></li>
                                <li><x-tex>H_c</x-tex></li>
                              </ul>
                              Simetria (propietat de l'exponenciació):
                              <ul>
                                <li> <x-tex>(G^c)^n = (G^n)^c = G^{nc}</x-tex>
                                </li>
                              </ul>
                              Dificultat (no n'hi ha):
                              <ul>
                                <li><x-tex>n=\log_G{H_n}</x-tex></li>
                                <li><x-tex>c=\log_G{H_c}</x-tex></li>
                              </ul>
                            </td>
                            <td>
                              <ol>
                                <li>tria una <strong>clau privada</strong>: <x-tex
                                    display="block">c</x-tex> </li>
                                <li>genera i envia la seva <strong>clau pública</strong>:
                                  <x-tex display="block">G^c = H_c</x-tex> </li>
                                <li>rep la clau pública de l'altre: <x-tex display="block">H_n</x-tex>
                                </li>
                                <li>genera el <strong>secret compartit</strong>:
                                  <x-tex display="block">H_n^c = (G^n)^c =
                                    G^{nc} = S</x-tex> </li>
                              </ol>
                            </td>
                          </tr>
                          <tr>
                            <td><a href="#dh" class="intern">Diffie-Hellman</a></td>
                            <td>
                              <ol>
                                <li>tria una <strong>clau privada</strong>: <x-tex
                                    display="block">n</x-tex> </li>
                                <li>genera i envia la seva <strong>clau pública</strong>:
                                  <x-tex display="block">G^n \;\mathrm{mod} (p)
                                    = H_n</x-tex> </li>
                                <li>rep la clau pública de l'altre: <x-tex display="block">H_c</x-tex>
                                </li>
                                <li>genera el <strong>secret compartit</strong>:
                                  <x-tex display="block">H_c^n \;\mathrm{mod}(p)
                                    = S</x-tex> </li>
                              </ol>
                            </td>
                            <td> Valors coneguts:
                              <ul>
                                <li><x-tex>G</x-tex></li>
                              </ul>
                              Valors públics:
                              <ul>
                                <li><x-tex>H_n</x-tex></li>
                                <li><x-tex>H_c</x-tex></li>
                              </ul>
                              Simetria (teorema de ...):
                              <ul>
                                <li> <x-tex>(G^c \;\mathrm{mod}(p))^n
                                    \;\mathrm{mod}(p) = (G^n
                                    \;\mathrm{mod}(p))^c \;\mathrm{mod}(p) =
                                    G^{nc} \;\mathrm{mod}(p)</x-tex> </li>
                              </ul>
                              Dificultat (discrete log problem):<br>
                              <ul>
                                <li><x-tex>n=?</x-tex></li>
                                <li><x-tex>c=?</x-tex></li>
                              </ul>
                            </td>
                            <td>
                              <ol>
                                <li>tria una <strong>clau privada</strong>: <x-tex
                                    display="block">c</x-tex> </li>
                                <li>genera i envia la seva <strong>clau pública</strong>:
                                  <x-tex display="block">G^c \;\mathrm{mod} (p)
                                    = H_c</x-tex> </li>
                                <li>rep la clau pública de l'altre: <x-tex display="block">H_n</x-tex>
                                </li>
                                <li>genera el <strong>secret compartit</strong>:
                                  <x-tex display="block">H_n^c \;\mathrm{mod}(p)
                                    = S</x-tex> </li>
                              </ol>
                            </td>
                          </tr>
                          <tr>
                            <td>ECDH <br>
                              (Elliptic Curve Diffie-Hellman)</td>
                            <td>
                              <ol>
                                <li>tria una <strong>clau privada</strong>: <x-tex
                                    display="block">1 \leq d_A \leq n-1</x-tex>
                                </li>
                                <li>genera i envia la seva <strong>clau pública</strong>:
                                  <x-tex display="block">d_A G = H_A</x-tex> </li>
                                <li>rep la clau pública de l'altre: <x-tex display="block">H_B</x-tex>
                                </li>
                                <li>genera el <strong>secret compartit</strong>:
                                  <x-tex display="block">d_A H_B = d_A (d_B G) =
                                    S</x-tex> </li>
                              </ol>
                            </td>
                            <td>Valors coneguts (paràmetres del domini):<br>
                              <ul>
                                <li>p, a, b (defineixen la corba el·líptica): <x-tex
                                    display="block">E: \{(x,y) \in \mathbb{F}_p
                                    | y^2 \equiv x^3 + ax + b \pmod{p}, 4 a^3 +
                                    27 b^2 \nequiv 0 \} \cup \{\mathcal{O}\}</x-tex>
                                  <x-tex>\mathbb{F}_p: </x-tex> nombres mod p,
                                  on p és un nombre primer </li>
                                <li>G (punt generador o base del subgrup cíclic)
                                </li>
                                <li>n (ordre del subgrup) <x-tex display="block">n
                                    = \text{ord}(G)</x-tex> és el valor enter
                                  positiu més petit que fa que <x-tex>nG =
                                    \mathcal{O}</x-tex> </li>
                                <li>h (cofactor del subgrup, idealment 1) <x-tex
                                    display="block"> h =
                                    \frac{|E(\mathbb{Z}/p\mathbb{Z})|}{n}</x-tex>
                                  on el numerador és el nombre de punts de la
                                  corba el·líptica (discreta) </li>
                              </ul>
                              Valors públics:<br>
                              <ul>
                                <li><x-tex>H_A</x-tex></li>
                                <li><x-tex>H_B</x-tex></li>
                              </ul>
                              Simetria:<br>
                              <ul>
                                <li><x-tex>d_A (d_B G) = d_B (d_A G)</x-tex></li>
                              </ul>
                              Dificultat (discrete logarithm problem for
                              elliptic curves):<br>
                              <ul>
                                <li><x-tex>d_A=?</x-tex></li>
                                <li><x-tex>d_B=?</x-tex></li>
                              </ul>
                            </td>
                            <td>
                              <ol>
                                <li>tria una <strong>clau privada</strong>: <x-tex
                                    display="block">1 \leq d_B \leq n-1</x-tex>
                                </li>
                                <li>genera i envia la seva <strong>clau pública</strong>:
                                  <x-tex display="block">d_B G = H_B</x-tex> </li>
                                <li>rep la clau pública de l'altre: <x-tex display="block">H_A</x-tex>
                                </li>
                                <li>genera el <strong>secret compartit</strong>:
                                  <x-tex display="block">d_B H_A = d_B (d_A G) =
                                    S</x-tex> </li>
                              </ol>
                            </td>
                          </tr>
                        </tbody>
                      </table>
                    </li>
                    <li>Corbes el·líptiques</li>
                    <ul>
                      <li><a href="https://andrea.corbellini.name/">Andrea
                          Corbellini</a></li>
                      <ul>
                        <li><a href="https://www.youtube.com/watch?v=JPTfivFVGe8">Elliptic
                            Curve Cryptography Tutorial - An Introduction to
                            Elliptic Curve Cryptography</a> (Fullstack Academy)
                          (yt) </li>
                      </ul>
                      <li><a href="https://www.youtube.com/watch?v=F3zzNa42-tQ">Elliptic
                          Curve Diffie Hellman</a> (yt)</li>
                      <li><a href="https://www.youtube.com/watch?v=gAtBM06xwaw">Elliptic
                          Curve Cryptography Tutorial - Understanding ECC
                          through the Diffie-Hellman Key Exchange</a> (Fullstack
                        Academy) (yt)</li>
                    </ul>
                  </ul>
                </ul>
              </li>
              <li><strong><a id="hash">Hash</a></strong> (<a href="https://en.wikipedia.org/wiki/Cryptographic_hash_function">wp</a>)
                <ul>
                  <li><strong>MD5</strong> (<a href="http://en.wikipedia.org/wiki/MD5">wp</a>)
                  </li>
                  <li><strong>SHA</strong>
                    <ul>
                      <li>
                        <table border="1">
                          <tbody>
                            <tr class="taula-cap">
                              <th><br>
                              </th>
                              <th>standard</th>
                              <th>year</th>
                              <th>algorithm</th>
                              <th>variant</th>
                              <th>length</th>
                              <th>usage</th>
                              <th>implementation</th>
                            </tr>
                            <tr>
                              <td>SHA-0</td>
                              <td>FIPS PUB 180</td>
                              <td>1993</td>
                              <td>...</td>
                              <td><br>
                              </td>
                              <td><br>
                              </td>
                              <td><br>
                              </td>
                              <td><br>
                              </td>
                            </tr>
                            <tr>
                              <td><a href="https://en.wikipedia.org/wiki/SHA-1"
                                  id="sha1">SHA-1</a></td>
                              <td>FIPS PUB 180-1</td>
                              <td>1995</td>
                              <td><br>
                              </td>
                              <td><br>
                              </td>
                              <td style="height: 20px;">160 bits / 20 bytes</td>
                              <td>
                                <ul>
                                  <li>ssh-rsa public key signature (<a href="utilitats.html#openssh_no_mutual_signature"
                                      class="intern">deprecated</a>)</li>
                                </ul>
                              </td>
                              <td><br>
                              </td>
                            </tr>
                            <tr>
                              <td rowspan="6" colspan="1"><a href="https://en.wikipedia.org/wiki/SHA-2">SHA-2</a></td>
                              <td rowspan="6" colspan="1"><br>
                              </td>
                              <td rowspan="6" colspan="1">2001</td>
                              <td rowspan="2" colspan="1">SHA-256</td>
                              <td>SHA-224</td>
                              <td>224 bits / 28 bytes</td>
                              <td><br>
                              </td>
                              <td><br>
                              </td>
                            </tr>
                            <tr>
                              <td>SHA-256</td>
                              <td>256 bits / 32 bytes</td>
                              <td>
                                <ul>
                                  <li>newest versions of ssh</li>
                                  <li><a href="www.html#jwt" class="intern">jwt</a></li>
                                </ul>
                              </td>
                              <td>
                                <ul>
                                  <li><code>openssl <a href="tls.html#digest" class="intern">dgst</a>
                                      [-sha256]</code></li>
                                </ul>
                              </td>
                            </tr>
                            <tr>
                              <td rowspan="4" colspan="1">SHA-512</td>
                              <td>SHA-384</td>
                              <td>384 bits / 48 bytes</td>
                              <td>
                                <ul>
                                  <li>jwt</li>
                                </ul>
                              </td>
                              <td><br>
                              </td>
                            </tr>
                            <tr>
                              <td>SHA-512/224</td>
                              <td><br>
                              </td>
                              <td><br>
                              </td>
                              <td><br>
                              </td>
                            </tr>
                            <tr>
                              <td>SHA-512/256</td>
                              <td><br>
                              </td>
                              <td><br>
                              </td>
                              <td><br>
                              </td>
                            </tr>
                            <tr>
                              <td>SHA-512</td>
                              <td>512 bits / 64 bytes</td>
                              <td><br>
                              </td>
                              <td><br>
                              </td>
                            </tr>
                            <tr>
                              <td rowspan="4"><a href="https://en.wikipedia.org/wiki/SHA-3">SHA-3</a></td>
                              <td>FIPS PUB 202</td>
                              <td>2015</td>
                              <td>Keccak</td>
                              <td><br>
                              </td>
                              <td>224 bits / 28 bytes</td>
                              <td><br>
                              </td>
                              <td><br>
                              </td>
                            </tr>
                            <tr>
                              <td><br>
                              </td>
                              <td><br>
                              </td>
                              <td><br>
                              </td>
                              <td><br>
                              </td>
                              <td>256 bits / 32 bytes</td>
                              <td><br>
                              </td>
                              <td><br>
                              </td>
                            </tr>
                            <tr>
                              <td><br>
                              </td>
                              <td><br>
                              </td>
                              <td><br>
                              </td>
                              <td><br>
                              </td>
                              <td>384 bits / 48 bytes</td>
                              <td><br>
                              </td>
                              <td><br>
                              </td>
                            </tr>
                            <tr>
                              <td><br>
                              </td>
                              <td><br>
                              </td>
                              <td><br>
                              </td>
                              <td><br>
                              </td>
                              <td>512 bits / 64 bytes</td>
                              <td><br>
                              </td>
                              <td><br>
                              </td>
                            </tr>
                          </tbody>
                        </table>
                      </li>
                    </ul>
                  </li>
                  <li>bcrypt
                    <ul>
                      <li><a href="https://codahale.com/how-to-safely-store-a-password/">How
                          To Safely Store A Password</a></li>
                      <li>bcrypt in <a class="intern" href="utilitats.html#sasl_dovecot">Dovecot</a>
                      </li>
                    </ul>
                  </li>
                </ul>
              </li>
              <li><a id="signatura"><strong>Signatura: Hash + xifratge</strong></a>
                <ul>
                  <li>Amb clau asimètrica: Hash + xifratge amb clau asimètrica
                    (..., no-repudi)</li>
                  <li>Amb clau simètrica (MAC): Hash + xifratge amb clau
                    simètrica (integritat, autenticitat, no no-repudi) (<a href="http://en.wikipedia.org/wiki/Message_authentication_code">wp</a>)
                    <ul>
                      <li><a id="hmac">HMAC</a> (<a href="http://en.wikipedia.org/wiki/Hmac">wp</a>)</li>
                      <ul>
                        <li><code>openssl dgst -hmac key ...<br>
                          </code></li>
                      </ul>
                    </ul>
                  </li>
                  <li>Implementacions / Implementations
                    <ul>
                      <li><a href="http://us2.php.net/manual/en/function.hash.php">PHP:
                          hash</a></li>
                    </ul>
                  </li>
                </ul>
              </li>
              <li><a class="intern" href="informatica.html#seguretat">Seguretat
                  informàtica / Computer security</a>
                <ul>
                  <li><a class="intern" href="informatica.html#certificat_digital"
                      id="certificat_digital">Certificat digital / Digital
                      certificate</a>
                    <ul>
                      <li><a href="http://en.wikipedia.org/wiki/Digital_signature">Digital
                          signature</a></li>
                      <li>Emissió de certificats digitals / Digital certificate
                        emission (OpenSSL) </li>
                      <li>Utilització de certificats digitals (DNIe, CatCert)</li>
                    </ul>
                  </li>
                  <li><a class="intern" href="programari.html#criptografia">Programari
                      de criptografia / Cryptography software</a>
                    <ul>
                      <li><a class="intern" href="programari.html#openssl">OpenSSL</a>
                        <ul>
                          <li><a class="intern" href="utilitats.html#openssl">Utilització
OpenSSL
                              / OpenSSL Usage</a></li>
                        </ul>
                      </li>
                      <li>xmlsec
                        <ul>
                          <li><a href="http://sgros.blogspot.com.es/2013/01/signing-xml-document-using-xmlsec1.html">Signing
                              XML document using xmlsec1 command line tool</a></li>
                        </ul>
                      </li>
                      <li><a href="http://oficinavirtual.mityc.es/componentes/index.html">Componentes
                          de firma</a>
                        <ul>
                          <li><a href="http://oficinavirtual.mityc.es/componentes/mityclibxades/index.html">MITyCLibXAdES</a>
                          </li>
                        </ul>
                      </li>
                    </ul>
                  </li>
                  <li><a class="intern" href="www.html#seguretat">Seguretat en
                      WWW/Internet&nbsp; / Security in WWW/Internet</a>
                    <ul>
                      <li><a class="intern" href="www.html#https">Protocol HTTPS</a>
                      </li>
                      <li><a class="intern" href="utilitats.html#apache_https">Configuració
                          Apache HTTPS / Apache HTTPS configuration</a> </li>
                    </ul>
                  </li>
                </ul>
              </li>
            </ul>
          </td>
        </tr>
        <tr>
          <td class="seccio-cap" style="vertical-align: top;">
            <h3><a name="fisica"></a>Física / Physics </h3>
          </td>
        </tr>
        <tr>
          <td class="seccio-fons" style="vertical-align: top;">
            <ul>
              <li><a href="http://www.pbs.org/wgbh/nova/physics/arch-physics.html">Physics
of
                  Stone Arches </a></li>
            </ul>
          </td>
        </tr>
        <tr>
          <td class="seccio-cap">
            <h3><a href="quimica.html" class="intern">Química / Chemistry</a></h3>
          </td>
        </tr>
        <tr>
          <td class="seccio-cap">
            <h3><a href="programari.html" name="programari" class="intern">Programari
                / Software</a></h3>
          </td>
        </tr>
        <tr>
          <td class="seccio-fons">
            <ul>
              <li><a href="http://www.wior.uni-karlsruhe.de/Bibliothek/default.htm">Software
Library
                  for Operation Research</a> (fuzzy logic, genetic algorithms,
                linear programming, mathematics, modelling, simulation,
                stochastic models, vehicle routing...)</li>
              <li> <a href="http://www.scilab.org/platform/">Scilab</a>
                <ul>
                  <li><a href="http://www-rocq.inria.fr/scilab/doc/scicos_html/">Scicos</a>
                    (modelling dynamical systems as block diagrams)</li>
                </ul>
              </li>
              <li><a href="http://www.llp.fu-berlin.de/baum/linuxlist-a.html">Linux
software
                  for scientists</a></li>
              <li><a href="http://www.library.cornell.edu/nr/bookcpdf.html">Numerical
recipes
                  in C (pdf)</a>&nbsp;</li>
            </ul>
          </td>
        </tr>
        <tr>
          <td class="seccio-cap">
            <h3><a id="calculadores">Calculadores / Calculators</a></h3>
          </td>
        </tr>
        <tr>
          <td class="seccio-fons">
            <ul>
              <li><a href="https://www.casio-europe.com/es/productos/calculadora-escolar-y-grafica/">Casio</a>
                <ul>
                  <li>fx-992S</li>
                  <li>fx-82ES
                    <ul>
                      <li><a href="https://www.casio-intl.com/product/image/1425301998658/">foto
                          </a></li>
                      <li><a href="https://support.casio.com/storage/es/manual/pdf/ES/004/fx-82ES_etc_ES.pdf">manual</a></li>
                      <li><a href="https://support.casio.com/storage/es/manual/pdf/ES/004/fx82ES_350ESetc._Appendix_ES.pdf">apèndix</a></li>
                    </ul>
                  </li>
                </ul>
              </li>
            </ul>
          </td>
        </tr>
        <tr>
          <td class="seccio-cap">
            <h3><a id="historia">Història / History</a></h3>
          </td>
        </tr>
        <tr>
          <td class="seccio-fons">
            <ul>
              <li>Persones / People <br>
                <table border="1">
                  <tbody>
                    <tr class="taula-cap">
                      <th><br>
                      </th>
                      <th>dates i lloc</th>
                      <th>bio</th>
                      <th><a href="%20matematiques.html" class="intern">matemàtiques</a></th>
                      <th>física</th>
                      <th>astronomia</th>
                      <th>invents</th>
                      <th>publicacions</th>
                    </tr>
                    <tr>
                      <td>/ Zeno</td>
                      <td>
                        <ul>
                          <li>490, Elea</li>
                          <li>430</li>
                        </ul>
                      </td>
                      <td><br>
                      </td>
                      <td>
                        <ul>
                          <li>paradoxa de la dicotomia</li>
                          <li>Aquil·les i la tortuga</li>
                          <li>paradoxa de la fletxa</li>
                        </ul>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                    </tr>
                    <tr>
                      <td><a href="https://ca.wikipedia.org/wiki/Plat%C3%B3">Plató</a>
                        / Plato</td>
                      <td>
                        <ul>
                          <li>427 aC</li>
                          <li>347 aC</li>
                        </ul>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                    </tr>
                    <tr>
                      <td><a href="https://ca.wikipedia.org/wiki/Arist%C3%B2til">Aristòtil</a>
                        / Aristotle</td>
                      <td>
                        <ul>
                          <li>384 aC, Estagira</li>
                          <li>322 aC, Eubea</li>
                        </ul>
                      </td>
                      <td>
                        <ul>
                          <li>deixeble de Plató</li>
                        </ul>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td>
                        <ul>
                          <li>la Terra és el centre de l'univers</li>
                        </ul>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                    </tr>
                    <tr>
                      <td><a href="https://ca.wikipedia.org/wiki/Aristarc_de_Samos">Aristarc</a>
                        / </td>
                      <td>
                        <ul>
                          <li>310 aC, Samos</li>
                          <li>230 aC</li>
                        </ul>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td>
                        <ul>
                          <li>el Sol és el centre de l'univers</li>
                        </ul>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                    </tr>
                    <tr>
                      <td><a href="https://ca.wikipedia.org/wiki/Euclides">Euclides</a>
                        / Euclid</td>
                      <td>
                        <ul>
                          <li>300aC, Alexandria</li>
                        </ul>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td>
                        <ul>
                          <li><a href="https://ca.wikipedia.org/wiki/Elements_d%27Euclides">Elements</a></li>
                          <ul>
                            <li><a href="https://ca.wikipedia.org/wiki/Teorema_de_Pit%C3%A0gores">Teorema
                                de Pitàgores</a></li>
                          </ul>
                        </ul>
                      </td>
                    </tr>
                    <tr>
                      <td><a href="https://ca.wikipedia.org/wiki/Arquimedes">Arquimedes</a>
                        / Archimedes</td>
                      <td>
                        <ul>
                          <li>287 aC, Siracusa</li>
                          <li>212 aC, Siracusa</li>
                        </ul>
                      </td>
                      <td><br>
                      </td>
                      <td>
                        <ul>
                          <li>aproximació de pi: entre 3+10/71 i 3+10/70</li>
                          <li>quadratura de la paràbola</li>
                          <ul>
                            <li>1+1/4+1/16+1/64+...= 4/3</li>
                          </ul>
                        </ul>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td>
                        <ul>
                          <li>quadratura de la paràbola</li>
                        </ul>
                      </td>
                    </tr>
                    <tr>
                      <td><a href="https://ca.wikipedia.org/wiki/Claudi_Ptolemeu">Claudi
                          Ptolemeu</a> / Ptolemy</td>
                      <td>
                        <ul>
                          <li>85, Ptolemais Hermiou</li>
                          <li>165, Alexandria</li>
                        </ul>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td>
                        <ul>
                          <li>model geocèntric d'Aristòtil</li>
                          <li>moviment retrògrad dels planetes</li>
                        </ul>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                    </tr>
                    <tr>
                      <td><a href="https://ca.wikipedia.org/wiki/Nicolau_Cop%C3%A8rnic">Nicolau
                          Copèrnic</a> / </td>
                      <td>
                        <ul>
                          <li>1473, Toruń</li>
                          <li>1543, Formbork</li>
                        </ul>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td>
                        <ul>
                          <li>model heliocèntric: la Terra gira al voltant del
                            Sol</li>
                        </ul>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                    </tr>
                    <tr>
                      <td>Tycho Brahe</td>
                      <td>
                        <ul>
                          <li>1546</li>
                          <li>1601</li>
                        </ul>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td>
                        <ul>
                          <li>base de dades astronòmica</li>
                        </ul>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                    </tr>
                    <tr>
                      <td><a href="https://ca.wikipedia.org/wiki/Galileo_Galilei">Galileo
                          Galilei</a></td>
                      <td>
                        <ul>
                          <li>1564, Pisa</li>
                          <li>1642</li>
                        </ul>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td>
                        <ul>
                          <li> pla inclinat per a mesurar temps de caiguda</li>
                          <li>pèndol</li>
                        </ul>
                      </td>
                      <td><br>
                      </td>
                      <td>
                        <ul>
                          <li>perfeccionament del telescopi</li>
                        </ul>
                      </td>
                      <td><br>
                      </td>
                    </tr>
                    <tr>
                      <td><a href="https://ca.wikipedia.org/wiki/Johannes_Kepler">Kepler,
                          Johannes</a><br>
                      </td>
                      <td>
                        <ul>
                          <li> 1571, Weil der Stadt</li>
                          <li>1630, Ratisbona</li>
                        </ul>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td>
                        <ul>
                          <li> 1a llei: òrbites el·líptiques amb el Sol en un
                            focus</li>
                          <li>2a llei: àrees iguals en temps iguals</li>
                          <li>3a llei: <x-tex>T^2 =k r^3</x-tex></li>
                        </ul>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                    </tr>
                    <tr>
                      <td><a href="https://ca.wikipedia.org/wiki/Ren%C3%A9_Descartes">Descartes,
                          René</a></td>
                      <td>
                        <ul>
                          <li> 1596, Le Haye</li>
                          <li>1650, Estocolm</li>
                        </ul>
                      </td>
                      <td>
                        <ul>
                          <li> gran ego</li>
                          <li>rival amb Fermat</li>
                        </ul>
                      </td>
                      <td>
                        <ul>
                          <li>aplicació de l'àlgebra a la geometria: equacions
                            per a descriure rectes i corbes</li>
                          <li>pla xy, coordenades</li>
                        </ul>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                    </tr>
                    <tr>
                      <td><a href="https://ca.wikipedia.org/wiki/Pierre_de_Fermat">Fermat,
                          Pierre de</a></td>
                      <td>
                        <ul>
                          <li>1601,</li>
                          <li>1665, Tolosa de Llenguadoc</li>
                        </ul>
                      </td>
                      <td>
                        <ul>
                          <li>jurista</li>
                          <li>matemàtic aficionat</li>
                          <li>rival amb Descartes</li>
                        </ul>
                      </td>
                      <td>
                        <ul>
                          <li>aplicació de l'àlgebra a la geometria</li>
                          <li>optimització</li>
                          <ul>
                            <li>màxim sense trobar derivades: tangent</li>
                          </ul>
                          <li>petit teorema</li>
                          <li>últim teorema</li>
                        </ul>
                      </td>
                      <td>
                        <ul>
                          <li>refracció de la llum (resolt com un problema
                            d'optimització)</li>
                        </ul>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                    </tr>
                    <tr>
                      <td><a href="https://ca.wikipedia.org/wiki/Christiaan_Huygens"
                          id="huygens">Huygens, Christiaan</a><br>
                      </td>
                      <td>
                        <ul>
                          <li>1629, L'Haia</li>
                          <li>1695, L'Haia</li>
                        </ul>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td>
                        <ul>
                          <li><a href="fisica.html#principi_huygens" class="intern">
                              principi de Huygens</a></li>
                        </ul>
                      </td>
                      <td><br>
                      </td>
                      <td>
                        <ul>
                          <li> mecanisme del rellotge</li>
                        </ul>
                      </td>
                      <td><br>
                      </td>
                    </tr>
                    <tr>
                      <td><a href="https://ca.wikipedia.org/wiki/Isaac_Newton" id="newton">Newton,
                          Isaac</a><br>
                      </td>
                      <td>
                        <ul>
                          <li>1642, Woolsthorpe-by-Colsterworth</li>
                          <li>1727, Kensington</li>
                        </ul>
                      </td>
                      <td>
                        <ul>
                          <li> rival de Leibniz</li>
                        </ul>
                      </td>
                      <td>
                        <ul>
                          <li> càlcul infinitesimal</li>
                        </ul>
                      </td>
                      <td>
                        <ul>
                          <li> lleis de la dinàmica</li>
                          <ul>
                            <li><a href="fisica.html#newton_primera_llei" class="intern">primera</a></li>
                            <li><a href="fisica.html#newton_segona_llei" class="intern">segona</a></li>
                            <li><a href="fisica.html#newton_tercera_llei" class="intern">tercera</a></li>
                          </ul>
                        </ul>
                      </td>
                      <td>
                        <ul>
                          <li> <a href="fisica.html#llei_gravitacio_universal"
                              class="intern">llei de la gravitació universal</a></li>
                          <li>...</li>
                        </ul>
                      </td>
                      <td><br>
                      </td>
                      <td>
                        <ul>
                          <li> <a href="https://ca.wikipedia.org/wiki/Philosophiae_Naturalis_Principia_Mathematica">Principia</a></li>
                          <li><a href="https://ca.wikipedia.org/wiki/Method_of_Fluxions">The
                              Method of Fluxions and infinite Series</a></li>
                        </ul>
                      </td>
                    </tr>
                    <tr>
                      <td><a href="https://ca.wikipedia.org/wiki/Gottfried_Wilhelm_Leibniz">Leibniz,
                          Gottfried Wilhelm</a><br>
                      </td>
                      <td>
                        <ul>
                          <li>1646, Leipzig</li>
                          <li>1716, Hannover </li>
                        </ul>
                      </td>
                      <td>
                        <ul>
                          <li> rival de Newton</li>
                        </ul>
                      </td>
                      <td>
                        <ul>
                          <li> càlcul infinitesimal</li>
                        </ul>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                    </tr>
                    <tr>
                      <td><a href="https://ca.wikipedia.org/wiki/Leonhard_Euler">Euler,
                          Leonhard</a><br>
                      </td>
                      <td>
                        <ul>
                          <li>1707, Basilea</li>
                          <li>1783, Sant Petersburg</li>
                        </ul>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                    </tr>
                    <tr>
                      <td><a href="https://ca.wikipedia.org/wiki/Carl_Friedrich_Gau%C3%9F">Gauss,
                          Carl Friedrich</a><br>
                      </td>
                      <td>
                        <ul>
                          <li>1777, Braunschweig</li>
                          <li>1855, Göttingen</li>
                        </ul>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                    </tr>
                    <tr>
                      <td> <span lang="pl"><a href="https://ca.wikipedia.org/wiki/Marie_Curie">Skłodowska-Curie,
                            Marie</a><br>
                        </span></td>
                      <td>
                        <ul>
                          <li>1867, Varsòvia</li>
                          <li>1934, Sancellemoz</li>
                        </ul>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                    </tr>
                    <tr>
                      <td><a href="https://ca.wikipedia.org/wiki/Albert_Einstein"
                          id="einstein">Einstein, Albert</a></td>
                      <td>
                        <ul>
                          <li>1879, Ulm</li>
                          <li>1955, Princeton</li>
                        </ul>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td>
                        <ul>
                          <li><a href="fisica.html#efecte_fotoelectric" class="intern">
                              efecte fotolèctric</a></li>
                          <li><a href="fisica.html#relativitat_especial" class="intern">relativitat
                              especial</a></li>
                          <li><a href="fisica.html#relativitat_general" class="intern">relativitat
                              general</a></li>
                        </ul>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                    </tr>
                    <tr>
                      <td><a href="https://ca.wikipedia.org/wiki/Niels_Bohr">Bohr,
                          Niels</a><br>
                      </td>
                      <td>
                        <ul>
                          <li>1885, Copenhagen</li>
                          <li>1962, Copenhagen</li>
                        </ul>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                    </tr>
                    <tr>
                      <td><a href="https://ca.wikipedia.org/wiki/Erwin_Schr%C3%B6dinger">Schrödinger,
                          Erwin </a> </td>
                      <td>
                        <ul>
                          <li>1887, Viena</li>
                          <li>1961, Viena</li>
                        </ul>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                    </tr>
                    <tr>
                      <td><a href="https://ca.wikipedia.org/wiki/Werner_Heisenberg"
                          id="heisenberg">Heisenberg, Werner</a></td>
                      <td>
                        <ul>
                          <li>1901, Würzburg</li>
                          <li>1976, Munic</li>
                        </ul>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td>
                        <ul>
                          <li><a href="fisica.html#principi_incertesa" class="intern">
                              principi d'incertesa</a></li>
                        </ul>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                    </tr>
                    <tr>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                    </tr>
                    <tr>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                      <td><br>
                      </td>
                    </tr>
                  </tbody>
                </table>
              </li>
            </ul>
          </td>
        </tr>
        <tr>
          <td class="peu">
            <p style="text-align: center;"><a href="ciencies.html">http://www.francescpinyol.cat/ciencies.html</a><br>
              Darrera modificació: 15 d'agost de 2024 / Last update: 15th August
              2024</p>
            <p style="text-align: center;"><a href="http://validator.w3.org/check/referer"><img
                  src="im/valid-html40.png" alt="Valid HTML 4.0!" border="0" width="88"
                  height="31"></a></p>
            Cap a <a href="index.html" class="intern">casa</a> / Back <a href="index.html"
              class="intern">home</a>. </td>
        </tr>
      </tbody>
    </table>
    <!-- Mirrored from www.terra.es/personal9/francesc.pinyol/ciencies.html by HTTrack Website Copier/3.x [XR&CO'2005], Wed, 28 Sep 2005 07:16:42 GMT -->
    <!-- Mirrored from www.terra.es/personal9/francesc.pinyol/ciencies.html by HTTrack Website Copier/3.x [XR&CO'2005], dl, 03 abr 2006 09:04:50 GMT -->
  </body>
</html>
